Subject: [bitcoin-dev] I want to rebuild the GUI in JavaScript

From: "M.K. Safi" <[email-masked]>
Date: Fri, 22 Nov 2019 22:45:02 -0800

I’d like to try to rebuild Bitcoin Core GUI using the JavaScript Electron
framework. My goal is to get a real world understanding of the pros and
cons of moving from Qt to Electron.

Before I start, I‘d like to know if this has been tried before or if there
are ongoing efforts in this direction by anyone?

I spent sometime looking into how to implement this. One approach could be
for Electron to drive the UI by running bitcoind and communicating with it
through RPC. But I don’t know if such implementation can achieve
feature-parity with the Qt implementation. Qt has the advantage of direct
access to Bitcoin Core code.

Anyways, I just wanted to share these ideas before going further with them,
so please let me know if you have any information on the above!
-- 
Sent from my iPhone